> ## Documentation Index
> Fetch the complete documentation index at: https://docs.localpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建电汇入

通过电汇将资金从外部银行账户直接转入您的 Localpayment 账户。此接口非常适合接收使用传统银行业务的客户或合作伙伴的付款。

提交后，您将收到一个唯一的 `internalId` 用于跟踪该交易。请使用此标识符监控转账，直到资金成功记入您的账户。


## OpenAPI

````yaml openapi/zh/localpayment.json POST /api/account/wire-in
openapi: 3.1.0
info:
  version: '1.0'
  title: Localpayment
  contact:
    name: Support
    url: mailto:support@localpayment.com
servers:
  - url: https://api.stage.localpayment.com
    description: Stage
security:
  - token: []
paths:
  /api/account/wire-in:
    post:
      summary: 创建电汇入账
      operationId: wire-in
      parameters:
        - name: Authorization
          in: header
          description: >-
            用于身份验证的 Bearer
            访问令牌。该令牌可从[获取访问令牌](/zh/reference/get-token)或[刷新访问令牌](/zh/reference/refresh-token)endpoint
            获取。
          required: true
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                request:
                  type: string
                  description: "| 名称 | 类型 | 必填 | 描述 |\r\n| --- | --- | --- | --- |\r\n| transactionType | String | 必填 | 交易类型（WireIn）。 |\r\n| currency | String | 必填 | [货币代码。](https://docs.localpayment.com/docs/global-coverage) |\r\n| country | String | 必填 | [文件国家。](https://docs.localpayment.com/docs/global-coverage) ISO 3166-1 alpha-3。 |\r\n| amount | String | 必填 | 交易金额。 |\r\n| comment | String | 可选 | 与交易相关的附加备注或说明。 |\r\n| externalId | String | 必填 | 由您的系统生成、用于跟踪交易的唯一标识符（字母数字和连字符）。我们建议使用 UUID4 以确保唯一性。 |\r\n| accountNumber | String | 必填 | Localpayment 账号。 |\r\n| to | Object | 必填 | 受益人数据。 |\r\n| to.name | String | 必填 | 受益人名称。 |\r\n| to.swift | String | 必填 | 最常用于国际汇款的银行识别码。 |\r\n| to.address | String | 必填 | 银行地址。 |\r\n| to.accountNumber | String | 必填 | Localpayment 账号。 |\r\n| to.accountName | String | 必填 | 受益账户所有人姓名。 |\r\n| to.beneficiaryAddress | String | 必填 | 账户持有人地址。 |\r\n| from | Object | 必填 | 汇款银行详情。 |\r\n| from.name | String | 必填 | 汇款银行名称。 |\r\n| from.swift | String | 必填 | 用于国际汇款的汇款银行识别码。 |\r\n| from.address | String | 必填 | 汇款银行地址。 |\r\n| from.accountNumber | String | 必填 | Localpayment 账号。 |\r\n| from.routingNumber | String | 可选 | 交易标识码，用于标明美国境内转账的发起和接收银行机构。 |\r\n| from.accountName | String | 必填 | 与汇款银行账户关联的名称。 |\r\n| from.beneficiaryAddress | String | 必填 | 汇款方地址。 |\r\n| intermediaryAccountNumber | String | 可选 | 中间行的账号（如有） |\r\n| intermediaryBankSwift | String | 可选 | 中间行的 SWIFT 代码（如有）。 |\r\n| intermediaryBankName | String | 可选 | 中间行的名称（如有）。 |\r\n\r\n"
                  examples:
                    - >-
                      {"transactionType":"WireIn","currency":"BOB","country":"BOL","amount":100,"comment":"Comment","externalId":"a11h7890-78ju-098j-hu78-124ftn8lo0io","accountNumber":"{{accountNumber}}","to":{"name":"Bankname","swift":"BCBHDOSD","address":"BankAddress","accountNumber":"1310825187","accountName":"BeneficiaryBankName","beneficiaryAddress":"BeneficiaryAddress"},"from":{"name":"OrderingBankName","swift":"BICAARBS","address":"OrderingBankAddress","accountNumber":"123456789","routingNumber":null,"accountName":"accountName","beneficiaryAddress":"BeneficiaryAddress","intermediaryBankName":null,"intermediaryBankSwift":null,"intermediaryAccountNumer":null}}
                filecontent:
                  type: string
                  description: "交易收据\r\n"
                  contentMediaType: application/octet-stream
              required:
                - request
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  transactionType:
                    type: string
                    description: 正在处理的交易类型。
                  externalId:
                    type: string
                    description: 系统生成的唯一标识符，用于跟踪交易（包含字母、数字和连字符）。我们建议使用 UUID4 以确保唯一性。
                  internalId:
                    type: string
                    description: Localpayment交易标识符。
                  country:
                    type: string
                    enum:
                      - ARG
                      - BOL
                      - BRA
                      - CHL
                      - COL
                      - CRI
                      - DOM
                      - ECU
                      - SLV
                      - GTM
                      - HND
                      - MEX
                      - PAN
                      - PRY
                      - PER
                      - URY
                    description: '[文件国家](/zh/reference/country-codes)。ISO 3166-1 alpha-3。'
                  currency:
                    type: string
                    enum:
                      - ARS
                      - BOB
                      - BRL
                      - CLP
                      - COP
                      - CRC
                      - DOP
                      - USD
                      - GTQ
                      - MXN
                      - PYG
                      - PEN
                      - UYU
                    description: '[货币代码](/zh/reference/currency-codes)。'
                  clientCode:
                    type: string
                    description: 在 LocalPayment 系统中分配给客户的唯一标识符。
                  creationDate:
                    type: string
                    description: 交易创建的日期和时间，采用 ISO 8601 格式。
                  errors:
                    type: array
                    description: 如果在交易过程中发生任何错误，则返回一个错误对象数组。
                    items:
                      type: object
                  status:
                    type: object
                    description: 提供交易当前状态的对象。
                    properties:
                      code:
                        type: string
                        description: >-
                          表示交易当前[状态](/zh/reference/transaction-status-error-codes)的代码。
                      description:
                        type: string
                        description: >-
                          简要描述[交易状态](/zh/reference/transaction-status-error-codes)。
                      detail:
                        type: string
                        description: 有关交易状态的更多详细信息。
                  accountNumber:
                    type: string
                    description: Localpayment账号。
                  amount:
                    type: number
                    description: 交易金额。
                  fees:
                    type: object
                    description: 有关所收取费用的详细信息。
                    properties:
                      description:
                        type: string
                        description: 对交易所适用费用的说明。
                      currency:
                        type: string
                        description: '[货币代码](/zh/reference/currency-codes)。'
                      amount:
                        type: number
                        description: 对该交易收取的费用金额。
                      account:
                        type: string
                        description: 费用所对应的账号。
                  localTaxes:
                    type: array
                    description: 应用于该交易的本地税费列表。如果为空，则表示未征收任何税费。
                    items:
                      type: object
                  withHoldings:
                    type: array
                    description: 应用于该交易的预扣款项列表。如果为空，则表示未扣缴任何款项。
                    items:
                      type: object
                  comment:
                    type: string
                    description: 与交易相关的评论或备注。
                x-examples:
                  Example 1:
                    transactionType: WireIn
                    externalId: External15
                    internalId: 0f1d47dc-e9c6-4fdf-8ba1-c9b29916574d
                    country: ARG
                    currency: ARS
                    clientCode: '0001'
                    creationDate: '2024-02-28T13:47:58.808+00:00'
                    errors: []
                    status:
                      code: '100'
                      description: PENDING_CREDIT
                      detail: WIRE IN
                    accountNumber: '{{accountNumber}}'
                    amount: 49500
                    fees:
                      description: Fee
                      currency: ARS
                      amount: 500
                      account: '{{accountNumber}}'
                    localTaxes: []
                    withHoldings: []
                    comment: Ducupublica
              examples:
                101 - Wire In Example Response:
                  value:
                    transactionType: WireIn
                    transactionFlow: wireInAutomatic
                    externalId: a11h7890-78ju-098j-hu78-124ftn8lo0io
                    internalId: b97fe1cd-50d3-4ee2-8a6e-34ee6d7e4f4e
                    country: BOL
                    currency: BOB
                    clientCode: '0001'
                    creationDate: '2025-12-04T21:07:41.689+00:00'
                    errors: []
                    status:
                      code: '101'
                      description: PENDING_AUTH
                      detail: Pending Auth
                    accountNumber: '{{accountNumber}}'
                    amount: 97.32
                    fees:
                      description: Fee
                      currency: BOB
                      amount: 0.5
                      account: '{{accountNumber}}'
                    localTaxes:
                      - code: '0016'
                        percentage: 2.18
                        description: FNA
                        currency: BOB
                        fxSource: 6.911493
                        fxQuote: 0
                        amount: 2.18
                        account: '{{accountNumber}}'
                    withHoldings: []
                    comment: Comment
                    code: '101'
        '400':
          description: 错误的请求。
          content:
            application/json:
              schema:
                type: object
                properties:
                  externalId:
                    type: string
                    description: 系统生成的唯一标识符，用于跟踪交易（包含字母、数字和连字符）。我们建议使用 UUID4 以确保唯一性。
                  errors:
                    type: array
                    description: 如果在交易过程中发生任何错误，则返回一个错误对象数组。
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                          description: 错误代码。
                        detail:
                          type: string
                          description: 错误详情。
                  status:
                    type: object
                    description: 提供交易当前状态的对象。
                    properties:
                      code:
                        type: string
                        description: >-
                          表示交易当前[状态](/zh/reference/transaction-status-error-codes)的代码。
                      description:
                        type: string
                        description: >-
                          简要描述[交易状态](/zh/reference/transaction-status-error-codes)。
                      detail:
                        type: string
                        description: 有关交易状态的更多详细信息。
                x-examples:
                  Example 1:
                    externalId: e84657e9-65d8-4de5-afbb-f62cc14f30b7
                    errors:
                      - code: '812'
                        detail: External Id already used - duplication
                    status:
                      code: '812'
                      description: REJECTED
                      detail: External Id already used - duplication
              examples:
                500 - Error master service.:
                  value:
                    status:
                      code: '500'
                    timestamp: '2025-01-10 16:22:20.569138644'
                    code: '500'
                    description: Error master service
                812 - External Id already used - duplication.:
                  value:
                    externalId: e84657e9-65d8-4de5-afbb-f62cc14f30b7
                    errors:
                      - code: '812'
                        detail: External Id already used - duplication
                    status:
                      code: '812'
                      description: REJECTED
                      detail: External Id already used - duplication
                404 - This beneficiary account is invalid.:
                  value:
                    externalId: 089c81c6-7be2-4798-8e53-d4bfff61f852
                    errors:
                      - code: '404'
                        detail: This beneficiary account is invalid
                    status:
                      code: '404'
                      description: REJECTED
                      detail: This beneficiary account is invalid
        '401':
          description: 未经授权。
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: 回复的补充信息。
                  code:
                    type: string
                    description: 状态码。
                  messages:
                    type: array
                    description: 消息列表。
                    items:
                      type: object
                      properties:
                        token_class:
                          type: string
                          description: Token 类。
                        token_type:
                          type: string
                          description: 令牌类型。
                        message:
                          type: string
                          description: 包含补充信息的消息。
                x-examples:
                  Example 1:
                    detail: Given token not valid for any token type
                    code: token_not_valid
                    messages:
                      - token_class: AccessToken
                        token_type: access
                        message: Token is invalid or expired
              examples:
                401 - Token is invalid or expired:
                  value:
                    detail: Given token not valid for any token type
                    code: token_not_valid
                    messages:
                      - token_class: AccessToken
                        token_type: access
                        message: Token is invalid or expired
      security:
        - token: []
      servers:
        - url: https://api.stage.localpayment.com
          description: Stage
components:
  securitySchemes:
    token:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.